PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Structures
Data Structures
PDL API Reference » MPC (Memory Protection Controller)

## General Description

## Data Structures
struct | cy_stc_mpc_rot_cfg_t
| The OTP Control configuration structure. More...
struct | cy_stc_mpc_cfg_t
| Configuration structure for MPC Struct initialization, used for memory region definition that configured with this structure are not inherently trusted. More...
struct | cy_stc_mpc_rot_block_attr_t
| ROT MPC block attribute settings. More...
struct | cy_stc_mpc_block_attr_t
| MPC block attribute settings. More...
struct | cy_stc_mpc_resp_cfg_t
| MPC response configuration structure. More...
struct | cy_stc_mpc_regions_t
| MPC region configuration structure. More...
struct | cy_stc_mpc_unified_t
| Full MPC settings structure. More...

## Data Structure Documentation

## ◆ cy_stc_mpc_rot_cfg_t

struct cy_stc_mpc_rot_cfg_t

Data Fields
cy_en_mpc_prot_context_t | pc | Protection Context.
cy_en_mpc_sec_attr_t | secure | Security permissions for the region.
cy_en_mpc_access_attr_t | access | Access permissions for the Protection Context.

## ◆ cy_stc_mpc_cfg_t

struct cy_stc_mpc_cfg_t

Data Fields
cy_en_mpc_sec_attr_t | secure | Security permissions for the region.

## ◆ cy_stc_mpc_rot_block_attr_t

struct cy_stc_mpc_rot_block_attr_t

Data Fields
cy_en_mpc_sec_attr_t | secure | Security permissions for the block.
cy_en_mpc_access_attr_t | access | Access permissions for the block.

## ◆ cy_stc_mpc_block_attr_t

struct cy_stc_mpc_block_attr_t

Data Fields
cy_en_mpc_sec_attr_t | secure | Security permissions for the block.

## ◆ cy_stc_mpc_resp_cfg_t

struct cy_stc_mpc_resp_cfg_t

Data Fields
MPC_Type * | base | Address of the MPC controller.
cy_en_mpc_resp_cfg_t | response | Response configuration.

## ◆ cy_stc_mpc_regions_t

struct cy_stc_mpc_regions_t

Data Fields
MPC_Type * | base | Address of the MPC controller.
uint32_t | offset | Region offset within block.
uint32_t | size | Region size.

## ◆ cy_stc_mpc_unified_t

struct cy_stc_mpc_unified_t

Data Fields
const cy_stc_mpc_regions_t * | regions | Pointer to the regions array.
uint8_t | region_count | Regions array size.
const cy_stc_mpc_rot_cfg_t * | cfg | Pointer to the settings array.
uint8_t | cfg_count | Settings array size